Skip to content

Privacy & GDPR

All operations require authentication.

7 operationsv1/domain/{serviceName}
Agent setup

Retrieve optin configurationProduction

GET
/1.0/domain/{serviceName}/configurations/optin

Path parameters

serviceName
required
string

Service name

Response

200Optin[]successful operation
fields
OptinFieldsEnum[]

Fields to display publicly on the Whois

Valuesaddresscitycountryemailfaxnameorganisationphoneprovincezip
type
ContactTypeEnum

Type of the contact associated to the optin configuration

Valuesadminallbillingownertech

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/configurations/optin \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "fields": [ "address" ], "type": "admin" }]

Save a new optin configurationProduction

PUT
/1.0/domain/{serviceName}/configurations/optin

Path parameters

serviceName
required
string

Service name

Request body (required)

optin
Optin[]

New optin configuration

Response

200Optin[]successful operation
fields
OptinFieldsEnum[]

Fields to display publicly on the Whois

Valuesaddresscitycountryemailfaxnameorganisationphoneprovincezip
type
ContactTypeEnum

Type of the contact associated to the optin configuration

Valuesadminallbillingownertech

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/configurations/optin \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "fields": [ "address" ], "type": "admin" }]

Retrieve optin ruleProduction

GET
/1.0/domain/{serviceName}/rules/optin

Path parameters

serviceName
required
string

Service name

Response

200Optin[]successful operation
fields
read-only
OptinFieldsEnum[]

Fields to display publicly on the Whois

Valuesaddresscitycountryemailfaxnameorganisationphoneprovincezip
type
read-only
ContactTypeEnum

Type of the contact associated to the optin rule

Valuesadminallbillingownertech

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/rules/optin \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "fields": [ "address" ], "type": "admin" }]

Retrieve obfuscated emails configurationProduction

GET
/1.0/domain/{serviceName}/configurations/obfuscatedEmails

Path parameters

serviceName
required
string

Service name

Response

200ObfuscatedEmail[]successful operation
status
read-only
ObfuscationStatusEnum

Status of the email obfuscation

Valuesdonetodo
type
read-only
ContactTypeEnum

Type of the contact whose email is obfuscated by this configuration

Valuesadminallbillingownertech
value
read-only
string

Obfuscated email address

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/configurations/obfuscatedEmails \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "status": "done", "type": "admin", "value": "string" }]

Save a new obfuscated emails configurationProduction

PUT
/1.0/domain/{serviceName}/configurations/obfuscatedEmails

Path parameters

serviceName
required
string

Service name

Request body (required)

contacts
required
ContactTypeEnum[]

Type of the contacts to request email obfuscation for

Valuesadminallbillingownertech

Response

200ObfuscatedEmail[]successful operation
status
read-only
ObfuscationStatusEnum

Status of the email obfuscation

Valuesdonetodo
type
read-only
ContactTypeEnum

Type of the contact whose email is obfuscated by this configuration

Valuesadminallbillingownertech
value
read-only
string

Obfuscated email address

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/configurations/obfuscatedEmails \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "status": "done", "type": "admin", "value": "string" }]

Refresh an obfuscated emails configuration with new valuesProduction

POST
/1.0/domain/{serviceName}/configurations/obfuscatedEmails/refresh

Path parameters

serviceName
required
string

Service name

Request body (required)

contacts
required
ContactTypeEnum[]

Type of the contacts to refresh email obfuscation for

Valuesadminallbillingownertech

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/configurations/obfuscatedEmails/refresh \
  -H "authorization: Bearer $OVH_TOKEN"

Retrieve emails obfuscation ruleProduction

GET
/1.0/domain/{serviceName}/rules/emailsObfuscation

Path parameters

serviceName
required
string

Service name

Response

200ContactTypeEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/rules/emailsObfuscation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "admin"]